import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockHeading from './block-heading';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {
	headingLevel: {
		control: {
			type: 'select',
			options: ['1', '2', '3', '4', '5', '6'],
		},
	},
};

export const controls = {
	color: [],
	number: [],
	json: [],
};

<Meta title="Heading" component={BlockHeading} argTypes={addControls(argTypes, controls)} />

# Heading

This module is used to show a heading and description with different heading levels (h1, h2, h3, etc.).

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockHeading },
		template: '<block-heading v-bind="$props" />',
	};
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			heading: 'Heading',
			headingLevel: '2',
			description:
				'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Pellentesque id nibh tortor id aliquet lectus proin nibh nisl. Fusce id velit ut tortor pretium. Sem viverra aliquet eget sit amet tellus cras. Viverra accumsan in nisl nisi scelerisque eu ultrices vitae.',
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockHeading} />
